﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

a.navbar-brand {
  white-space: normal;
  text-align: center;
  word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
  color: #0366d6;
}

.btn-primary {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  font-size: 14px;
}
@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.border-top {
  border-top: 1px solid #e5e5e5;
}
.border-bottom {
  border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
  box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
  font-size: 1rem;
  line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  position: relative;
  min-height: 100%;
}

body {
  /* Margin bottom by footer height */
  margin-bottom: 60px;
}
.footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  white-space: nowrap;
  line-height: 60px; /* Vertically center the text there */
}

/*------------------------------------------------------*/
product-item a {
    display: block;
    color: #434a54;
    font-weight: 700
}

.product-item a:hover {
    color: #37bc9b
}

.product-grid .product-item {
    position: relative;
    width: 100%;
    border: none;
    padding-bottom: 4pc;
    margin-bottom: 30px;
    border-radius: 3px;
    box-shadow: 0 1px 2px 0 #ccd1d9;
    overflow: hidden;
    z-index: 1
}

    .product-grid .product-item img {
        width: 100%
    }

    .product-grid .product-item .item-overlay {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: 0 0;
        border-radius: 3px;
        -webkit-transition: background .3s ease-in-out;
        transition: background .3s ease-in-out
    }

    .product-grid .product-item:hover .item-overlay {
        background: rgba(170, 178, 189, .42)
    }

    .product-grid .product-item .clickable a {
        display: block;
        padding: 100%;
        z-index: 9
    }

    .product-grid .product-item .caption {
        position: absolute;
        bottom: -87pt;
        display: block;
        min-width: 100%;
        min-height: 180px;
        padding: 6px 15px;
        margin: 0;
        background: #fff;
        -webkit-transition: all .3s ease-in-out;
        transition: all .3s ease-in-out;
        z-index: 1
    }

        .product-grid .product-item .caption .cart {
            display: block;
            padding: 27px 0 0;
            clear: both
        }

        .product-grid .product-item .caption .btn-primary {
            width: 100%;
            color: #fff;
            background: #37bc9b;
            border: 1px solid #37bc9b;
            -webkit-transition: all .2s ease-in-out 0s;
            transition: all .2s ease-in-out 0s
        }

            .product-grid .product-item .caption .btn-primary:hover {
                color: #434a54;
                background: 0 0;
                border: 1px solid #656d78
            }

        .product-grid .product-item .caption .name a,
        .product-grid .product-item .caption .price {
            text-align: center
        }

        .product-grid .product-item .caption .name a {
            text-transform: lowercase;
            line-height: 1pc;
            margin: 9px 0 0
        }

    .product-grid .product-item:hover .caption {
        -webkit-transform: translatey(-83px);
        transform: translatey(-83px)
    }

    .product-grid .product-item .compare,
    .product-grid .product-item .wishlist {
        color: #fff;
        display: none;
        margin-bottom: 3px;
        height: 30px;
        width: 30px;
        line-height: 30px;
        text-align: center;
        padding: 0;
        border: none;
        -webkit-transition: .3s;
        transition: .3s
    }

        .product-grid .product-item .compare a,
        .product-grid .product-item .wishlist a {
            display: block;
            color: #fff;
            font-size: 14px
        }

    .product-grid .product-item .wishlist {
        position: absolute;
        top: 15px;
        left: 15px;
        background: #37bc9b
    }

        .product-grid .product-item .wishlist:hover {
            background: #33b091
        }

    .product-grid .product-item .compare {
        position: absolute;
        top: 3pc;
        left: 15px;
        background: #434a54
    }

        .product-grid .product-item .compare:hover {
            background: #393f47
        }

    .product-grid .product-item:hover .compare,
    .product-grid .product-item:hover .wishlist {
        display: block
    }

    .product-grid .product-item .sale-tag {
        width: 50px;
        height: 75pt;
        background: #37bc9b;
        position: absolute;
        top: -45px;
        right: -10px;
        -webkit-transform: rotate(-45deg);
        transform: rotate(-45deg)
    }

        .product-grid .product-item .sale-tag span {
            color: #fff;
            font-size: 11px;
            font-weight: 700;
            left: 2px;
            position: absolute;
            top: 3pc;
            -webkit-transform: rotate(45deg);
            transform: rotate(45deg)
        }